Bug 160280 - gnome.ui.AppBar bug
gnome.ui.AppBar bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-13 23:04 EDT by Alex Potanin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 04:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-bluetooth-manager Standard Error (1.66 KB, text/plain)
2005-10-29 01:53 EDT, Gabriel Donnell
no flags Details

  None (edit)
Description Alex Potanin 2005-06-13 23:04:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; NetBSD i386; en-US; rv:1.7.8) Gecko/20050517 Epiphany/1.6.3

Description of problem:
I was using fc3 (stable) and gnome-bluetooth had two icons in menus and would come up with some icons when I start the manager (e.g. an icon to scan for devices). I upgraded to fc4 today and found that in gnome menus the icons for the manager and file sharing are gone (although the entries are still there) and when I start the manager - the window has no controls in it. If I try to use menus and select File->Scan to look for devices - no status is displayed and nothing seems to happen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Fedora
2. Launch Bluetooth Manager
3. A windows with a menu bar and white contents (not even a status bar) comes up
4. Try using it (e.g. scanning for devices) - nothing happens
  

Expected Results:  Should work by actually showing "scanning for devices" and have more UI components displayed.

Additional info:
Comment 1 Alex Potanin 2005-06-21 17:34:18 EDT
Hello,

I did a fresh install of FC4 and I got the same problem of gnome-bluetooth's
Manager window without controls as described above. I am using HP nc8000 laptop
with built in bluetooth device.

Cheers,
Alex.
Comment 2 Radek Bíba 2005-07-12 04:56:54 EDT
Please run gnome-bluetooth manager from the command line and paste the errors here.

As for the icons, problem is in the path to icon in
/usr/share/applications/gnome-bluetooth-manager.desktop and
/usr/share/applications/gnome-obex-server.desktop
where you can see it uses:

Icon=../gnome-bluetooth/pixmaps/blueradio-48.png

Strange thing this works in FC3 so apparently something has changed in
gnome-panel or somewhere. However, this can be fixed by changing the path to
absolute path:

Icon=/usr/share/gnome-bluetooth/pixmaps/blueradio-48.png

(if you want to give it a try just edit those two files and kill gnome-panel)
Comment 3 Gabriel Donnell 2005-10-29 01:53:17 EDT
Created attachment 120535 [details]
gnome-bluetooth-manager Standard Error

Attached is the gnome-bluetooth-manager Standard Error.
Comment 4 Gabriel Donnell 2005-10-29 01:54:58 EDT
Hello,

I encountered the same problem.  Please let me know the status.

Thanks,
Gabriel Donnell
Comment 6 John (J5) Palmieri 2005-10-31 11:12:51 EST
From the looks of the above mails it doesn't seemed to be resolved upstream. 
Does anyone know if this issue also comes up in Rawhide?  As for the icons, the
line should read:

Icon=blueradio

and the RPM should update the icon-cache upon install.
Comment 7 Gabriel Donnell 2005-11-07 22:41:13 EST
I applied the changes recommended in the pygtk user group response below:
  http://daa.com.au/pipermail/pygtk/2005-August/010904.html

This only provided a work around for the GNOME BlueTooth Manager function calls
that are similar to the problem reported below:
  http://daa.com.au/pipermail/pygtk/2005-July/010714.html

The GNOME BlueTooth Manager uses other mehods that are either not defined by
pygtk2 or by the object created with gtk.Statusbar().  To fix this problem,
pygtk2 needs to be backwards compatible with the pygtk code that is by the GNOME
BlueTooth Manager.  Otherwise, the GNOME BlueTooth Manager code needs to be
updated to support pygtk2.

The issue is associated with GNOME BlueTooth Manager.  Therefore, the Category
shouild be changed back gnome-bluetooth.
Comment 8 Matthew Barnes 2006-09-23 21:36:20 EDT
Changing the component to gnome-bluetooth as suggested.  Feel free to bounce it
back to me if I'm mistaken.
Comment 9 Christian Iseli 2007-01-22 06:01:08 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 10 Ondrej Vasik 2007-06-27 04:23:53 EDT
Gnome-bluetooth-manager was removed from the latest upstream (and Fedora)
versions of gnome-bluetooth package. As FC-3 and FC-4 is EOL'd, closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.